SysProg Assignment 1: File Splitter
===================================
This directory contains the test package for the first System Programming
assignment. You may use this package to validate your implementation. However, please
be aware that the final grading may be done using another set of tests.

## How to use it?
Simply edit your C program in a file named `splitter.c`. Place it in the same
directory as this file and run the `make` command:

```bash
$ make
```


## Test description
* Test0: check if, in the `split` mode, your program produces correct chunk files. `max-size = 4`
* Test1: same as _Test0_ but with `max-size = 121`
* Test2: check if both `split` and `merge` modes work properly together and the final assembled file is identical to the original file. 
* Test3: check if the `merge` mode is working properly with the _index_ and _chunks_ provided by us.
* Test4: check if the `merge` mode detects a wrong checksum. 
* Test5: check if the `split` mode, actually produces chunks with the size specified by `max-size`
* Test6: check if the program exits with the proper exit code in case of the wrong number of input arguments.
* Test7: same as _Test6_, but this time in case of an invalid file name. 
